---
title: "Create zone location targeting"
type: reference
method: POST
path: /rest-api/zone/{zoneId}/targeting/location/create.do
tag: "Targeting Rules"
---

# Create zone location targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/zone/{zoneId}/targeting/location/create.do`

Creates a geographic location targeting rule for the specified zone. At minimum a valid ISO alpha-2 country code is required. Requires UPDATE permission on the zone and MANAGE_SUPPLY_PRE_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `zoneId` | integer | yes | `200` | Unique numeric ID of the zone |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `rule` | string | yes | `INCLUDE` | Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist |
| `countryCode` | string | yes | `US` | ISO alpha-2 country code (e.g., 'US', 'GB', 'DE') |
| `regionName` | string | no | `California` | Region or state name within the specified country (optional) |
| `cityName` | string | no | `Los Angeles` | City name within the specified region (optional, requires regionName) |

## Responses

- `200` — Success
- `400` — Invalid country code, region, or city name
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Zone not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/zone/200/targeting/location/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'rule=INCLUDE' \
  --data-urlencode 'countryCode=US' \
  --data-urlencode 'regionName=California' \
  --data-urlencode 'cityName=Los Angeles'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-zone-targeting-location-create